Bug 97981 - RFE: Toshiba 1110 needs ACPI support including
Summary: RFE: Toshiba 1110 needs ACPI support including
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://home.gagme.com/greg/linux/tosh...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-24 21:43 UTC by Don Springall
Modified: 2007-03-27 04:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 00:49:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Don Springall 2003-06-24 21:43:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
you get a message "Starting pcmcia: PCI: No IRQ known for interrupt pin A of
device 02:04.0" during boot up process

apparently these set of patches fix the problem:

cd /usr/src
# gtar xjvf linux-2.4.21.tar.bz2
# gunzip acpi-200300523-2.4.21-rc3.diff.gz
# cd linux-2.4.21
# patch -p1 < ../acpi-20030523-2.4.21-rc3.diff

see url above for procedure

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot system
2.error occurs during startup
3.
    

Actual Results:  system hangs

Expected Results:  system boots up with pcmcia support

Additional info:

This is on a Toshiva Satellite model 1110 latop with all patches applied to OS.

Comment 1 Alan Cox 2003-06-27 20:29:31 UTC
The toshiba needs ACPI support for this which we don't currently include. We are
reviewing ACPI support as a candidate for future releases depending on its
stability now.



Comment 2 Don Springall 2003-08-26 15:45:33 UTC
I would like to point out that Laptops are one of the segments in the computer
hardware market that is still growing !

And that small business owners tend to buy laptops, not desktops.

This fix is critical to moving Linux onto the desktop.

Comment 3 Jun Nakajima 2003-08-26 20:25:00 UTC
Can you please try 2.4.22-rc4 (or 2.4.6-test4) with ACPI enabled? If it does 
not work, please provide acpidmp info so that we can find a similar machine or 
understand what AML is doing?



Comment 4 Len Brown 2004-03-25 00:49:42 UTC
FC2-test1 includes the ACPI patch above that fixed the problem.

Closing.  Please re-open if you still see issues.

thanks,
-Len



Note You need to log in before you can comment on or make changes to this bug.